/*Теоретичні питання
1. Если нам нужно воспроизвести какое-то действие несколько раз или например перебрать масив или сделать счетчик 

2. Ну например как в данном задании я использовал цикл while для того что бы выводит постоянно alert с ошибкой,а после снова prompt пока юзер не введет число. А также использовал for для того чтобы отобразить все число кратные 5, от 0 и до числа которое ввел юзер.

3. Явное приведение типов это когда мы специально хотим изменить тип например такую строку 

const str = '10'
const num = 5

console.log(Number(str) + num) - это явное преобразование типа из строки в число 
console.log(str * num) - это уже не явное преобразование типа, так как произошло автоматически 
*/

let num = Number(prompt('Введите число', ''))

while (!num || num < 5) {
	if(num === null) {
		break;
	}
	alert("Sorry, no numbers")
	num = Number(prompt('Введите число', ''))
}

for (let i = 0; i <= num; i++) {
	if (i % 5 === 0) {
		console.log(i)
	}
}

